/* Picture Window WDEF

    1990, Nigel Perry
   
   This WDEF makes a window from a picture, which must be passed as a
   PicHandle as the refCon parameter to the NewWindow() call. By default
   the window will be the same shape as the picture, and may consist
   of a number on non-contiguous areas - a mask is created
   from the picture by "lasso"ing it. A variation code allows a user
   supplied mask - in which case the window may have holes in it
   
   This WDEF requires the BitMapToRegion trap. This currently only
   exists in ColourQD systems, a version of it is included in this package
   for those of you without colour (like me).
   
   NIgel Perry,
   Dept of Computing,
   Imperial College of Science, Technology and Medicine,
   180, Queens Gate
   London SW17 2BZ
   
   np@doc.ic.ac.uk
 */
 
#define PictWDEF (16 * 16)

/* variation codes - or together with PictWDEF */
/* primary */
#define PW_Lasso 4
#define PW_Mask 0
#define PW_PicMask 8
#define PW_PicWind 12
/* secondary */
#define PW_SizeWind 2
#define PW_AddFrame 1

/* for low-level hackers */
#define PW_UserMask	8
#define PW_CalcMask 4
